<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage FAQ</strong>
                        </h3>
                        <div class="fm-row float2">
                            <div class="text-right">
                                <div class="col-md-12 text-right">
                                        <ng-container *ngIf="aclAdd">
                                            <button type="submit" class="btn btn-primary btn-sm blue"  [routerLink]="['/admin/administration/faq/add']" >
                                                Add new record
                                            </button>
                                        </ng-container>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage FAQ" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col" (click)="sort('question')">Question
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='question' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='question' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('answer')">Answer
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='answer' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='answer' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="showloader">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let faq of faqData">
                                            <td>{{faq.question}} </td>
                                            <td>{{(faq.answer.length>100) ? (faq.answer | slice:0:100)+'.....' : (faq.answer) }}</td>
                                            <td>{{faq.updated_at | date}}</td>
                                            <td *ngIf="aclEdit || aclDelete">
                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a [routerLink] = "['/admin/administration/faq/edit', faq._id]" ><i aria-hidden="true" class="fa fa-edit text-navy"  ></i></a>&nbsp;&nbsp;&nbsp;
                                                </span>
                                                <span *ngIf="aclDelete" matTooltip="Delete">
                                                    <a (click)="openDeleteDialog(faq._id)"  ><i aria-hidden="true" class="fa fa-trash text-navy"  ></i> </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>

                            <div class="container-fluid" *ngIf="faqLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">

                                        <div>
                                            <ngb-pagination [collectionSize]="faqLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage" aria-label="Default pagination"
                                                [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="faqLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
